Subject: [Dime] Answer message processing by a relay agent

From: <[email-masked]>
Date: Mon, 12 Jun 2006 12:49:45 +0530

Hi,
 I have a question regarding the answer message processing by a relay
agent. In RFC 3588 it is mentioned that realm routing table is used to
route/forward an incoming REQUEST message. Is the same realm routing
look-ups are used to processes the ANSWER messages? In section 2.8.1 it
is simply mentioned that the replies are routed back using stored state,
but it is not clear that even the answer messages processing also needs
route table look-up.
 
Also, can Proxy-Info AVP is used by relay agent or it is only for proxy?
 
Your help is really appreciated.
 
Thanks
Prasad.
Condor Networks
Bangalore
India.
_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: zhangtao <[email-masked]>
Date: Tue, 13 Jun 2006 09:37:51 +0800

Proxy-Info AVP can used in relay agent. see below information:(come from rfc3588):

   A relay or proxy agent MAY include the Proxy-Info AVP in requests if
   it requires access to any local state information when the
   corresponding response is received. 

the answer message no need realm routing look-ups,see below information:(come from rfc3588)

   The agent MUST then send the answer to the host that it received the
   original request from.

----- Original Message ----- 
  From: [email-masked] 
  To: [email-masked] 
  Sent: Monday, June 12, 2006 3:19 PM
  Subject: [Dime] Answer message processing by a relay agent

  Hi,

   I have a question regarding the answer message processing by a relay agent. In RFC 3588 it is mentioned that realm routing table is used to route/forward an incoming REQUEST message. Is the same realm routing look-ups are used to processes the ANSWER messages? In section 2.8.1 it is simply mentioned that the replies are routed back using stored state, but it is not clear that even the answer messages processing also needs route table look-up.

  Thanks

  Prasad.

  Condor Networks

  Bangalore

  India.

------------------------------------------------------------------------------

---

From: <[email-masked]>
Date: Tue, 13 Jun 2006 09:24:14 +0530

Hi,
Thanks for your response. I understand that the relay must send the
answer to the original host from where the request came from. But my
problem is this: when a node is acting as both client and a relay agent
( I hope this is not against RFC 3588), when the answer message
comes-in, how will it know whether the message is for local consumption
or it needs to be relayed. Does Proxy-Info AVP can be used for this
purpose? i.e if the relay agent finds its own identity in the Proxy-Info
list, then can it assume that corresponding request message to relayed
and so the answer message is to be forwarded? Otherwise the answer
message is for local consumption. Is this assumption is true?
 
Thanks
Prasad.

-----Original Message-----
From: zhangtao [mailto:[email-masked]] 
Sent: Tuesday, June 13, 2006 7:08 AM
To: [email-masked]; [email-masked]
Subject: Re: [Dime] Answer message processing by a relay agent
 
Proxy-Info AVP can used in relay agent. see below information:(come from
rfc3588):

the answer message no need realm routing look-ups,see below
information:(come from rfc3588)

----- Original Message ----- 
From: [email-masked] 
To: [email-masked] 
Sent: Monday, June 12, 2006 3:19 PM
Subject: [Dime] Answer message processing by a relay agent
 
Hi,

 
Thanks
Prasad.
Condor Networks
Bangalore
India.

  _____

---

From: Tony Zhang <[email-masked]>
Date: Tue, 13 Jun 2006 13:58:17 +0800

You can Record cookie in proxy info AVP.
the other choice is record some information in local node.when answer receive ,you can find save information,then know how to process the answer.

Thanks.

Tony Zhang
  ----- Original Message ----- 
  From: [email-masked] 
  To: 'zhangtao' ; [email-masked] 
  Sent: Tuesday, June 13, 2006 11:54 AM
  Subject: RE: [Dime] Answer message processing by a relay agent

  Hi,

  Thanks for your response. I understand that the relay must send the answer to the original host from where the request came from. But my problem is this: when a node is acting as both client and a relay agent ( I hope this is not against RFC 3588), when the answer message comes-in, how will it know whether the message is for local consumption or it needs to be relayed. Does Proxy-Info AVP can be used for this purpose? i.e if the relay agent finds its own identity in the Proxy-Info list, then can it assume that corresponding request message to relayed and so the answer message is to be forwarded? Otherwise the answer message is for local consumption. Is this assumption is true?

  Thanks

  Prasad.

  ----- Original Message ----- 

    To: [email-masked] 

    Hi,

    Thanks

    Prasad.

    Condor Networks

    Bangalore

    India.

----------------------------------------------------------------------------